ros-noetic-jsk-network-tools (2.2.12-1focal) focal; urgency=high

  * add skip_interfaces param in network_status.py (#1664 <https://github.com/jsk-ros-pkg/jsk_common/issues/1664>)
  * Contributors: Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jun 2022 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.11-1focal) focal; urgency=high

  * Fix for noetic buid (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fix jsk_network_tools for python3
      * jsk_network_tools: set queue_size=1
      * fix for python3, except, print ....
      * upgrade package.xml to format=3
    
  * [network_status.py] add queue_size (#1642 <https://github.com/jsk-ros-pkg/jsk_common/issues/1642>)
  * Contributors: Kei Okada, Naoki Hiraoka, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Jul 2020 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.10-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.9-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.8-1focal) focal; urgency=high

  * Install missing launch/ and test/ as well (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * Contributors: Yuto Uchimi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 31 Oct 2018 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.7-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 26 Jun 2018 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.6-1focal) focal; urgency=high

  * Fix warning about %d vs %lu in silverhammer_highspeed_internal_receiver (#1537 <https://github.com/jsk-ros-pkg/jsk_common/issues/1537>)
  * Contributors: Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 04 Jan 2018 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.5-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 18 Jun 2017 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.4-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 13 Jun 2017 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.3-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 22 Mar 2017 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.2-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Dec 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.1-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 12 Dec 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.2.0-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.1.2-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 13 Sep 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.1.1-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Sep 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.1.0-1focal) focal; urgency=high

  * [jsk_network_tools] add wifi_status.py (https://github.com/jsk-ros-pkg/jsk_common/pull/1448)
  * Contributors: Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 05 Sep 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.17-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 20 Jul 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.16-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 18 Jun 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.15-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 12 Jun 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.14-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 13 May 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.13-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 28 Apr 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.12-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 17 Apr 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.11-1focal) focal; urgency=high

  * remove dynamic_reconfigure.parameter_generator, which only used for rosbuild
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 19 Mar 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.10-1focal) focal; urgency=high

  * Update maintainer of jsk_network_tools and jsk_topic_tools
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 12 Feb 2016 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.9-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 13 Dec 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.8-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 06 Dec 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.7-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 04 Dec 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.6-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 01 Dec 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.5-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 29 Nov 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.4-1focal) focal; urgency=high

  * [jsk_network_tools] Disable test
  * [jsk_network_tools] Do not run rostest unless CATKIN_ENABLE_TESTING is false
  * [jsk_topic_tools] Add name attribute to test node
  * [jsk_network_tools] Depends on roscpp and rospy
  * [jsk_network_tools/silverhammer_highspeed_internal_receiver] Chop msg.data length to actual received size
  * [jsk_network_tools] Update last_received_seq_id correctly at first time
  * [jsk_network_tools] Add kbps and mbps unit to network_status
  * [jsk_network_tools] Add ${hostname}/nonlocal/{receive, transmit} topics to accumurate all the communication amount except for localhost
  * [jsk_network_tools] Add C++ implementation of silverhammer_highspeed_receiver. It cooperates with python thin wrapper and bridged via ros between them.
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 24 Nov 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.3-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Jul 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.2-1focal) focal; urgency=high

  * [jsk_topic_tools] Check ROS original message size in silverhammer_lowspeed_check_size
  * [jsk_network_tools] Remove euslisp code from jsk_network_tools to
    resolve distorted dependency
  * [jsk_network_tools] Publish under hostname prefix in network_status.py
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jul 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.1-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 27 Jun 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (2.0.0-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 18 Jun 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.72-1focal) focal; urgency=high

  * [jsk_network_tools] add bandwidth/rate checker for lowspeed
  * [jsk_network_tools] add pub_rate param for test
  * [jsk_network_tools] use service request instead of reloading param to set send_rate
  * [jsk_network_tools] use float to avoid zero-division error instead of int
  * [jsk_network_tools] add SetSendRate.srv
  * [jsk_network_tools/silverhammer_lowspeed_streamer.py] add service for setting send_rate
  * [jsk_network_tools] bugfix: fix rmem_max value; set bash option to check command executed successfly
  * [jsk_network_tools] Use loginfo instead of logwarn in silverhammre  highspeed receiver
  * [jsk_network_tools] Update for synchronized topic
  * [jsk_network_tools] Add jaxon_red to joint-states-compressor.l
  * [jsk_network_tools] Synchronize timestamp
  * [jsk_network_tools/silverhammer_highspeed_receiver.py] ensure terminate multiprocess
  * [jsk_network_tools] Update timestamp in highspeed receiver if specified
  * [jsk_network_tools] publish time information from silverhammer streamers
  * [jsk_network_tools] check/fix udp buffer size when launches silverhammer_highspeed_receiver.py
  * [jsk_network_tools] add shell script to expand udp receive buffer
  * Contributors: Yuki Furuta, Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 06 Jun 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.71-1focal) focal; urgency=high

  * [jsk_network_tools] use multiprocess on silverhammer receiver
  * [jsk_network_tools/silverhammer_lowspeed_receiver] Force to disable timeout
  * [jsk_network_tools] add wireshark plugin for silverhammer udp protocol
  * Contributors: Yuki Furuta, Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 16 May 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.70-1focal) focal; urgency=high

  * [jsk_network_tools] Fix bytes/bits conversions
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 07 May 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.69-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 04 May 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.68-1focal) focal; urgency=high

  * [jsk_network_tools] Use 1500*8 bits as default packet_size for MTU:=1500
    environment in silverhammer_highspeed communication
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 04 May 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.67-1focal) focal; urgency=high

  * [angle-vector-compress.l] 360-mode input of 0 will return 0
  * [angle-vector-compress.l] add debug code (but commented out for now)
  * [jsk_network_tools] Use ~robot parameter and it's initialized to ROBOT
    environment variable
  * [jsk_network_tools/test/launch_joint_state_compressor.xml] set ROBOT environment for test (and this should be removed), see https://github.com/jsk-ros-pkg/jsk_common/commit/39089ecfc793ac655d45552545ddc13c1fe87b09#commitcomment-10899961
  * load environment variable for setting robot in joint-state-compressor.l
  * [jsk_network_tools] add test for angle-vector/JointStates compress
  * [jsk_network_tools] Including pr2_description/upload_pr2.launch in order
    to set /robot_description
  * [jsk_network_tools] Support jaxon in compressing/decompressing angle-vector
  * Contributors: Yuki Furuta, Kei Okada, Masaki Murooka, Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 02 May 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.66-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 02 Apr 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.65-1focal) focal; urgency=high

  * [jsk_network_tools] Support effort in joint state compressor/decompressor
  * [jsk_network_tools] Latch output topic of highspeed receiver
  * [jsk_network_tools] More readable warning about packet miss
  * [jsk_network_tools] Add new parameter ~packet_sleep_sum not to sleep per one packet but several packets
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 01 Apr 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.64-1focal) focal; urgency=high

  * [jsk_network_tools] Fix typos
  * [jsk_network_tools] Add dynamic_reconfigure interface to specify
    bandwidth of highspeed streamer
  * [jsk_network_tools] Defaults to 280 Mbps
  * [jsk_network_tools] Decide interval between sending packets based on bandwidth
  * [jsk_network_tools] Do not load unused robot models when
    compress/decompress joint_states
  * [jsk_network_tools] Publish the last received time as std_msgs/Time from silverhammer receivers
  * [jsk_network_tools] Force to be within 0-255 when compressing joint angles
  * [jsk_network_tools] Add diagnostics information to lowspeed streamer and receiver
  * [jsk_network_tools] Add diagnostics information to highspeed streamer/receiver
  * [jsk_network_tools] Add event_driven mode to lowspeed streamer
  * [jsk_network_tools] Add event-driven mode to lowspeed streamer
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 28 Mar 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.63-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 18 Feb 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.62-1focal) focal; urgency=high

  * [jsk_network_tools] Add ~packet_interval to highspeed streamer to avoid
    consuming too much bandwidth
  * [jsk_network_tools] latch output of joint-state-decompressor.l
  * [jsk_network_tools] Support messages which has longer joints than robot model
  * [jsk_network_tools] Publish the last time to send/receive messages
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 16 Feb 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.61-1focal) focal; urgency=high

  * [jsk_network_tools] Enable unit test
  * [jsk_network_tools] Add unittest about ROS<-->UDP message conversion
  * [jsk_network_tools] Fix for uint32 data
  * [jsk_network_tools] Fix how to resolve uint8 array
  * [jsk_network_tools] Update sample of joint states compressor
  * [jsk_network_tools] Fix compressing joint-angles of infinite joint
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 10 Feb 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.60-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 02 Feb 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.59-1focal) focal; urgency=high

  * [jsk_network_tools] Add euslisp script to compress/decompres joint
    states. Originally implemented in jsk_pr2_startup by Y.Furuta
  * [jsk_topic_tools] Add pesimistic mode for highspeed receiver
  * add param to set rate
  * [jsk_network_tools] Support run silverhammer_highspeed_receiver.py
    without topic_prefix
  * [jsk_network_tools] Add script to check size in lowspeed network
  * [jsk_network_tools] Add openni2 sample for highspeed streaming using
    silverhammer toolkit and recover message if possible of missing packets
  * [jsk_network_tools] use png images for documentation
  * [jsk_network_tools] Simpler implementation of lowspeed communication and
    update document. Bang Bang!
  * [jsk_network_tools] Add documentation about limited network communication
  * [jsk_network_tools] Script for DRC-highspeed-link communication
  * [jsk_network_tools] Fix typo: OSC -> OCS
  * [jsk_network_tools] for Low-bandwidth environment, add silverhammer
    toolset.
    You can communicate between two ROS-neworks over low-bandwidth network
    like DRC final.
  * Contributors: Ryohei Ueda, Yusuke Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 02 Feb 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.58-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2015 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.57-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 22 Dec 2014 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.56-1focal) focal; urgency=high

  * plot multiple lines
  * add network plot
  * Contributors: Yusuke Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 16 Dec 2014 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.55-1focal) focal; urgency=high

  * fix msg error in heartbeat
  * add description
  * add parameter to set hz
  * Contributors: Yusuke Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2014 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.54-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 14 Nov 2014 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.53-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 31 Oct 2014 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.52-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 22 Oct 2014 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.51-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 19 Oct 2014 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.50-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 19 Oct 2014 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.49-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 12 Oct 2014 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.48-1focal) focal; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 11 Oct 2014 15:00:00 -0000

ros-noetic-jsk-network-tools (1.0.47-1focal) focal; urgency=high

  * Contributors: Yusuke Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 07 Oct 2014 15:00:00 -0000


